- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# osglogo.cpp File Reference

`#include <osg/Geode>`
`#include <osg/ShapeDrawable>`
`#include <osg/Material>`
`#include <osg/Texture2D>`
`#include <osg/Geometry>`
`#include <osg/MatrixTransform>`
`#include <osg/PositionAttitudeTransform>`
`#include <osg/BlendFunc>`
`#include <osg/ClearNode>`
`#include <osgUtil/Tesselator>`
`#include <osgUtil/TransformCallback>`
`#include <osgUtil/CullVisitor>`
`#include <osgText/Text>`
`#include <osgGA/TrackballManipulator>`
`#include <osgProducer/Viewer>`
`#include <osgDB/ReadFile>`

Include dependency graph for osglogo.cpp:

## Functions
osg::Geometry * | createWing (const osg::Vec3 &left, const osg::Vec3 &nose, const osg::Vec3 &right, float chordRatio, const osg::Vec4 &color)
osg::Node * | createTextBelow (const osg::BoundingBox &bb)
osg::Node * | createTextLeft (const osg::BoundingBox &bb)
osg::Node * | createGlobe (const osg::BoundingBox &bb, float ratio, const std::string &filename)
osg::Node * | createBox (const osg::BoundingBox &bb, float chordRatio)
osg::Node * | createBoxNo5 (const osg::BoundingBox &bb, float chordRatio)
osg::Node * | createBoxNo5No2 (const osg::BoundingBox &bb, float chordRatio)
osg::Node * | createBackdrop (const osg::Vec3 &corner, const osg::Vec3 &top, const osg::Vec3 &right)
osg::Node * | createLogo (const std::string &filename)
int | main (int argc, char **argv)

## Function Documentation

osg:: Node* createBackdrop | ( | const osg::Vec3 & | corner,
|  | const osg::Vec3 & | top,
|  | const osg::Vec3 & | right
| ) |

osg:: Node* createBox | ( | const osg::BoundingBox & | bb,
|  | float | chordRatio
| ) |

osg:: Node* createBoxNo5 | ( | const osg::BoundingBox & | bb,
|  | float | chordRatio
| ) |

osg:: Node* createBoxNo5No2 | ( | const osg::BoundingBox & | bb,
|  | float | chordRatio
| ) |

osg:: Node* createGlobe | ( | const osg::BoundingBox & | bb,
|  | float | ratio,
|  | const std::string & | filename
| ) |

osg::Node* createLogo | ( | const std::string & | filename | ) |

osg:: Node* createTextBelow | ( | const osg::BoundingBox & | bb | ) |

osg:: Node* createTextLeft | ( | const osg::BoundingBox & | bb | ) |

osg::Geometry* createWing | ( | const osg::Vec3 & | left,
|  | const osg::Vec3 & | nose,
|  | const osg::Vec3 & | right,
|  | float | chordRatio,
|  | const osg::Vec4 & | color
| ) |

int main | ( | int | argc,
|  | char ** | argv
| ) |